Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class UnknownElement

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.UnknownElement

public class UnknownElement
extends Task

Wrapper class that holds all information necessary to create a task that did not exist when Ant started.

Author:
  Stefan Bodewig

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`UnknownElement(java.lang.String elementName)`

Method Summary
`void` | `addChild(UnknownElement child)`
`void` | `execute()` Called when the real task has been configured for the first time.
`java.lang.String` | `getTag()` return the corresponding XML tag.
`protected void` | `handleChildren(java.lang.Object parent, RuntimeConfigurable parentWrapper)`
`void` | `maybeConfigure()` Configure this task - if it hasn't been done already.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnknownElement

    public UnknownElement(java.lang.String elementName)

Method Detail

### getTag

    public java.lang.String getTag()

  return the corresponding XML tag.

### maybeConfigure

    public void maybeConfigure()
                        throws BuildException

  Description copied from class: `Task`
  Configure this task - if it hasn't been done already.
  Overrides:
    `maybeConfigure` in class `Task`

### execute

    public void execute()

  Called when the real task has been configured for the first time.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### addChild

    public void addChild(UnknownElement child)

### handleChildren

    protected void handleChildren(java.lang.Object parent,
                                  RuntimeConfigurable parentWrapper)
                           throws BuildException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.